Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ProcessTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.ProcessTimeoutException

All Implemented Interfaces:
  Serializable

    public class ProcessTimeoutException

extends Exception

Exception which is thrown if a child process managed by `ProcessTools` exceeds a specified time limit. Generally indicates that the results should not be trusted!

Since:
  1.4
Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`ProcessTimeoutException(int rc)`
`ProcessTimeoutException(int rc, String message)`

Method Summary
`int` | `getReturnCode()` Get the return code from the dying child process.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessTimeoutException

    public ProcessTimeoutException(int rc)

### ProcessTimeoutException

    public ProcessTimeoutException(int rc,
                                   String message)

Method Detail

### getReturnCode

    public int getReturnCode()

  Get the return code from the dying child process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD